machiflex2/api/urls.py
from django.urls import path, include
from rest_framework import routers
from . import views

from rest_framework_simplejwt.views import (
    TokenRefreshView,
)


app_name ="api"

router = routers.DefaultRouter()
router.register(r"jsonTecnicos", views.Tecnicojson)
router.register(r"jsonUsuarios", views.Usuariosjson)
router.register(r"jsonTmaquina", views.Tmaquinajson)
router.register(r"jsonCambio", views.Cambiosjson)
router.register(r"jsonMarca", views.Marcajson)
router.register(r"jsonModelo", views.Modelojson)
router.register(r"jsonMaquina", views.Maquinajson)
router.register(r"jsonCita", views.Citajson)
router.register(r"jsonServicio", views.Serviciojson)
router.register(r"jsonServCambio", views.ServCambiojson)

urlpatterns = [
    path('cruds/', include(router.urls)),


    path('token/', views.MyTokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('register/', views.RegisterView.as_view(), name='auth_register'),
    path('test/', views.testEndPoint, name='test'),
    path('', views.getRoutes)

]

machiflex2/home/urls.py
from django.urls import path
from home import views


app_name ="home"
urlpatterns = [
    ##L O B B Y
    path('', views.Index.as_view(), name="index"),
    path('Nosotros/', views.Nosotros.as_view(), name="Nosotros"),
    path('signup/', views.SignUp.as_view(), name="signup"),
    path('logout/', views.LogOut.as_view(), name="logout"),
    ## U S E R
    path('detail/usuarios/<int:pk>/', views.List.as_view(), name="lista"),
    path('update/usuarios/<int:pk>/', views.Update.as_view(), name= "update"),
    ## M A C H I N E
    path('maquinas/', views.Lmaquinas.as_view(), name="maquinas"),
    path('detail/maquinas/<str:pk>/', views.DetailMaquina.as_view(), name= "detailmaquina"),
    path('create/maquinas/',views.CreateMaquina.as_view(), name="createmaquina"),
    path('update/maquinas/<str:pk>/', views.UpdateMaquinas.as_view(), name= "Updatemaquinas"),
    path('delete/maquina/<str:pk>/', views.DeleteMaquinas.as_view(), name= "deletemaquinas"),
    ## T E C H N I C I A N S
    path('Tecnicos/', views.ListaTecnicos.as_view(), name="ListaTecnicos"),
    path('detail/Tecnicos/<int:pk>/', views.DetailTecnicos.as_view(), name= "detailtecnicos"),
    path('create/Tecnicos/',views.CreateTecnicos.as_view(), name="createtecnicos"),
    path('update/Tecnicos/<int:pk>/', views.UpdateTecnicos.as_view(), name= "Updatetecnicos"),
    path('delete/Tecnicos/<int:pk>/', views.DeleteTecnicos.as_view(), name= "deletetecnicos"),
    ## U S 
    path('nosotros/historial/',views.Historial.as_view(), name="historial"),
    ## S E R V I C E
    path('list2/Servicios/',views.List2.as_view(), name="list2"),
    path('detail/Servicios/<int:pk>/', views.DetailServicio.as_view(), name= "detail2"),
    path('create/Servicios/',views.CreateServicio.as_view(), name="create2"),
    path('update/Servicios/<int:pk>/', views.UpdateServicios.as_view(), name= "Update2"),
    path('delete/Servicios/<int:pk>/', views.DeleteServicios.as_view(), name= "delete2"),
    ## C H A N G E  S E R V I C E
    path('nosotros/ServCamb', views.ListServCamb.as_view(), name="listaservcamb"),
    path('detail/ServCamb/<int:pk>/', views.DetailServCamb.as_view(), name= "DetailServCamb"),
    path('create/ServCamb/',views.CreateServCamb.as_view(), name="createServCamb"),
    path('update/ServCamb/<int:pk>/', views.UpdateServCamb.as_view(), name= "UpdateServCamb"),
    path('delete/ServCamb/<int:pk>/', views.DeleteServCamb.as_view(), name= "deleteServCamb"),
    ## C H A N G E S
    path('nosotros/Cambios', views.ListaCambios.as_view(), name="listacambios"),
    path('detail/Cambios/<str:pk>/', views.DetailCambios.as_view(), name= "DetailCambios"),
    path('create/Cambios/',views.CreateCambios.as_view(), name="createCambios"),
    path('update/Cambios/<str:pk>/', views.UpdateCambios.as_view(), name= "UpdateCambios"),
    path('delete/Cambios/<str:pk>/', views.DeleteCambios.as_view(), name= "deleteCambios"),
    ## A P P O I N T M E N T S
    path('nosotros/Citas', views.ListaCitas.as_view(), name="listacitas"),
     path('detail/Citas/<int:pk>/', views.DetailCita.as_view(), name= "DetailCita"),
     path('delete/Citas/<int:pk>/', views.DeleteCita.as_view(), name= "deleteCitas"),
     ## U S E R S
     path('nosotros/users', views.ListaUsers.as_view(), name="listausers"),
     path('detail/users/<int:pk>/', views.DetailUsers.as_view(), name= "DetailUsers"),
     path('update/users/<int:pk>/', views.UpdateUsers.as_view(), name= "UpdateUsers"),
     path('delete/users/<int:pk>/', views.DeleteUsers.as_view(), name= "deleteUsers"),
    ## C O N F I R M
    path('Confirmar/',views.CitaView.as_view(), name="Confirmar"),
    ## U B I C A T I O N
    path('nosotros/Ubicacion/', views.UbicacionView.as_view(), name="Ubicacion"),
]

machiflex2/principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
    path('api/', include("api.urls")),
    path('api-auth/', include('rest_framework.urls')),
]

machiflex2/templates/base/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} {% endblock title %}</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <style>
      body {
          font-family: 'Courier New', Courier, monospace;
          margin: 0;
          padding: 0;
          min-height: 100vh; /* Asegura que el body ocupe al menos la altura de la ventana */
          margin-bottom: 80px;
      }

      nav {
      background-color: #ffffff;
      overflow: hidden;
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
      width: 80%;
      margin: 20px auto; /* Margen superior e inferior de 20px y margen automático a los lados */
      display: flex;
      align-items: center;
      justify-content: space-between;
      border-radius: 20px; /* Ajusta el radio de borde según tus preferencias */
      }

      nav img {
          margin-left: 5px;
          height: 55px;
          padding: 5px 0;
          cursor: pointer;
      }

      nav a {
      float: right;
      display: block;
      color: #225282;
      text-align: center;
      padding: 14px 16px;
      text-decoration: none;
      font-weight: 500; /* Ajusta el grosor de la fuente según tus preferencias */
      }

      @media screen and (max-width: 600px) {
          nav a {
            flex-direction: column;
            align-items: flex-start;
          }
      }
  </style>
</head>
<body>

<nav>
  <a href="{% url 'home:index' %}">
    <img src="{% static 'ogol.png' %}" alt="Logo">
  </a>
  <a href="{% url 'home:index' %}">Citas</a>
  <a href="{% url 'home:Nosotros' %}">Sobre nosotros</a>

  {% if request.user.is_authenticated %}
  <a href="{% url 'home:lista' request.user.pk %}">Cuenta</a>
  {% endif %}
  <a href="{% url 'home:logout' %}">Cerrar sesión</a>
</nav>

{% block content %}
 

{% endblock content %}
</body>
</html>